| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FieldData Class Reference

`#include <FieldData.h>`

## Public Member Functions
| FieldData ()
uint8_t | GetFieldNumber ()
void | SetFieldNumber (uint8_t fieldNumber)
NativeZoneTypeEnum | GetZoneType ()
void | SetZoneType (NativeZoneTypeEnum zoneType)
int16_t | GetParameter1 ()
void | SetParameter1 (int16_t parameter1)
int16_t | GetParameter2 ()
void | SetParameter2 (int16_t parameter2)
uint16_t | GetCrc ()
void | SetCrc (uint16_t crc)
string | GetGUID ()
void | SetGUID (string GUID)
vector< uint16_t > | GetData ()
void | SetData (vector< uint16_t > data)

## Constructor & Destructor Documentation

## ◆ FieldData()

FieldData::FieldData | ( |  | ) |

## Member Function Documentation

## ◆ GetCrc()

uint16_t FieldData::GetCrc | ( |  | ) |

## ◆ GetData()

vector< uint16_t > FieldData::GetData | ( |  | ) |

## ◆ GetFieldNumber()

uint8_t FieldData::GetFieldNumber | ( |  | ) |

## ◆ GetGUID()

string FieldData::GetGUID | ( |  | ) |

## ◆ GetParameter1()

int16_t FieldData::GetParameter1 | ( |  | ) |

## ◆ GetParameter2()

int16_t FieldData::GetParameter2 | ( |  | ) |

## ◆ GetZoneType()

NativeZoneTypeEnum FieldData::GetZoneType | ( |  | ) |

## ◆ SetCrc()

void FieldData::SetCrc | ( | uint16_t | crc | ) |

## ◆ SetData()

void FieldData::SetData | ( | vector< uint16_t > | data | ) |

## ◆ SetFieldNumber()

void FieldData::SetFieldNumber | ( | uint8_t | fieldNumber | ) |

## ◆ SetGUID()

void FieldData::SetGUID | ( | string | GUID | ) |

## ◆ SetParameter1()

void FieldData::SetParameter1 | ( | int16_t | parameter1 | ) |

## ◆ SetParameter2()

void FieldData::SetParameter2 | ( | int16_t | parameter2 | ) |

## ◆ SetZoneType()

void FieldData::SetZoneType | ( | NativeZoneTypeEnum | zoneType | ) |

The documentation for this class was generated from the following files:

- FieldData.h
- FieldData.cpp